net.sf.jasperreports.engine.fill

## Class StoreFactoryVirtualizer

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer
  - - net.sf.jasperreports.engine.fill.StoreFactoryVirtualizer

- All Implemented Interfaces:
    JRVirtualizer

      public class StoreFactoryVirtualizer
      extends JRAbstractLRUVirtualizer

  Version:
    $Id: StoreFactoryVirtualizer.java 6863 2014-02-06 09:59:27Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer

      `JRAbstractLRUVirtualizer.Cache, JRAbstractLRUVirtualizer.CacheReference`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer

      `lastObjectMap, lastObjectRef, lastObjectSet, serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreFactoryVirtualizer(int maxSize, VirtualizerStoreFactory storeFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` Called when we are done with the virtualizer and wish to cleanup any resources it has.
    `protected void` | `dispose(JRVirtualizable o)`
    `void` | `dispose(JRVirtualizationContext context)`
    `protected void` | `dispose(java.lang.String id)` Removes the external data associated with a virtualizable object.
    `protected void` | `pageIn(JRVirtualizable o)` Reads a virtualizable object's data from an external storage.
    `protected void` | `pageOut(JRVirtualizable o)` Writes a virtualizable object's data to an external storage.
    `protected VirtualizerStore` | `store(JRVirtualizable o, boolean create)`
    `protected VirtualizerStore` | `store(JRVirtualizationContext context, boolean create)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer

      `clearData, deregisterObject, disposeAll, evict, finalize, isEvictable, isPagedOut, isPagedOutAndTouch, isReadOnly, isReadOnly, lastObject, readData, registerObject, requestData, reset, setLastObject, setReadOnly, touch, virtualizeData, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreFactoryVirtualizer

          public StoreFactoryVirtualizer(int maxSize,
                                 VirtualizerStoreFactory storeFactory)

  - ### Method Detail

    - #### store

          protected VirtualizerStore store(JRVirtualizable o,
                               boolean create)

    - #### store

          protected VirtualizerStore store(JRVirtualizationContext context,
                               boolean create)

    - #### pageOut

          protected void pageOut(JRVirtualizable o)
                          throws java.io.IOException

      Description copied from class: `JRAbstractLRUVirtualizer`
      Writes a virtualizable object's data to an external storage.
      Specified by:
        `pageOut` in class `JRAbstractLRUVirtualizer`
      Parameters:
        `o` - a virtualizable object
      Throws:
        `java.io.IOException`

    - #### pageIn

          protected void pageIn(JRVirtualizable o)
                         throws java.io.IOException

      Description copied from class: `JRAbstractLRUVirtualizer`
      Reads a virtualizable object's data from an external storage.
      Specified by:
        `pageIn` in class `JRAbstractLRUVirtualizer`
      Parameters:
        `o` - a virtualizable object
      Throws:
        `java.io.IOException`

    - #### dispose

          protected void dispose(JRVirtualizable o)

      Overrides:
        `dispose` in class `JRAbstractLRUVirtualizer`

    - #### dispose

          protected void dispose(java.lang.String id)

      Description copied from class: `JRAbstractLRUVirtualizer`
      Removes the external data associated with a virtualizable object.
      Specified by:
        `dispose` in class `JRAbstractLRUVirtualizer`
      Parameters:
        `id` - the ID of the virtualizable object

    - #### dispose

          public void dispose(JRVirtualizationContext context)

    - #### cleanup

          public void cleanup()

      Description copied from interface: `JRVirtualizer`
      Called when we are done with the virtualizer and wish to cleanup any resources it has.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com